<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 5                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2004 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 3.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.php.net/license/3_0.txt.                                  |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Original Author <author@example.com>                        |
// |          Your Name <you@example.com>                                 |
// +----------------------------------------------------------------------+
//
// $Id:$
if(is_file('../inatall.lck')){
	die("程序已经安装!如果重新安装请清空数据库并且删除lib目录下的site.info.php文件!");
	exit();
}
header("Content-type: text/html;charset=utf8");
echo '<!DOCTYPE html>
<!--STATUS OK--><html><head><meta http-equiv="content-type" content="text/html;charset=utf-8">
<meta http-equiv="Cache-Control" content="no-cache"/>
<meta name="keywords" content="" />
<meta name="description" content="" />
<meta name="author" content=" " />
<style type="text/css">
body,html{background-color:#328cc9;height:100%;color:#fff}
a .bt{border:1px solid #ffffff;padding:5px;height:40px;float:left}
</style></head><body>';
if ($_GET['act'] == NULL || $_GET['act'] == 1) {
    echo '<div style="text-align:center;margin-left:10%;width:80%;margin-left:auto;margin-right:auto;border:1px solid #000;line-height:35px;font-size:16px;color:#222;font-weight:bold;background:#efefef;">欢迎使用叮咚CMS多用户建站系统</div>';
    echo '<div style="text-align:center;margin-left:10%;width:80%;margin-left:auto;margin-right:auto;margin-top:5px;border:1px solid #000;line-height:30px;font-size:16px;height:80%;color:#222;font-weight:bold;background:#fff;margin-left:10%"><textarea style="height:98%;width:98%;line-height:30px;font-size:16px;color:#222;font-weight:bold;border:none;">您将开启一个神奇的旅程，但是在使用本程序前请您仔细阅读随程序所带的《法律声明》，点击下一步。默认您接受其中的所有说明！
	=============================================
	*叮咚CMS(以下简称dd)保留版权，本程序允许处于学习目的进行二次开发，但是版权依然归原作者所有，并且不得用于任何商业用途、不得删除或者更改本文件。
	*本程序为用户自愿选购，请使用正版的dd，对于盗版以及二次开发的产品，本人以及本团队不进行任何技术支持，不进行任何升级，不负任何责任。
	*对于使用非官方正版程序而造成的数据丢失、资料泄露等一切后果，由使用者自行承担。
	*对于非法传播盗版dd以及使用盗版dd或者二次开发dd进行盈利时，作者保留其追究其侵权行为的法律权利	
	*未经书面许可，任何人或者团体不得以任何名义对本程序的全部源码或者部分源码进行任何形式的破解、利用、盗取等。
	*本程序可能会发生未知错误，由此导致的一切后果本团队不负任何责任。
	*对于使用不当导致任何后果，本团队不负任何责任。
	*您使用此程序既同意本申明，否则请立即停止使用本程序！ 
	*本程序不得以任何名义转让、转卖，否则我们保留追求其法律责任的权利。
	*对于非正版用户或者非法渠道获得的本程序，在使用过程中的任何问题本团体概不负责亦不承担任何责任。
	*本申明与我国法律明文产生冲突时，请以法律明文为准。
	</textarea></div><br><br><a href="?act=2" class="bt">[同意并进入下一步]</a>';
} elseif ($_GET['act'] == 2) {
    echo '<b>请输入数据库资料</b>';
    echo '<form method="post" action="?act=3">';
    echo '<br>请输入授权域名<br>';
    echo '<input name="host" type="text" value="dingd.cn">';
    echo '<br>请输入数据库地址<br>';
    echo '<input name="sqlhost" type="text" value="localhost">';
    echo '<br>请输入数据库用户名<br>';
    echo '<input name="sqluser" type="text" value="root">';
    echo '<br>请输入数据库密码<br>';
    echo '<input name="sqlpass" type="text" value="">';
    echo '<br>请输入数据库名称<br>';
    echo '<input name="sqlsel" type="text" value="">';
    echo '<br>写好请进入下一步<br>';
    echo '<input  type="submit" value="保存并进入下一步">';
    echo '</form>';
} elseif ($_GET['act'] == 3) {
    $link = mysql_connect($_POST['sqlhost'], $_POST['sqluser'], $_POST['sqlpass']);
    if (!$link) {
        echo '数据库链接验证失败，去哪个返回上一步检查您的配置';
    } else {
        //选择数据库
        if (!mysql_select_db($_POST['sqlsel'], $link)) {
            echo '<b>数据库名称填写错误，请重新填写</b>';
        } else {
            $text = '<?php 
/*
*配置文件 config.php
*此文件是程序运行的重要参数文件，请不要删除此文件!
*请认真阅读配置参数上的注释，保证文件配置正确，否则可能导致系统无法正常运行！
*如有任何疑问请联系程序开发商！
*/

//网站注册域名 不加http://
//此处的域名将用来访问总站
$cfg[\'URL\']                =      \'' . $_POST['host'] . '\';

//访问没有被注册的网址是否调转到主站
//TRUE 是  FALSE 否
$cfg[\'SYS_ERROR\']          =       FALSE;

//假如$cfg[\'SYS_ERROR\']设置为FALSE，请填写域名不存在时要跳转的地址
//地址不加http://
//NULL 为默认终止程序
$cfg[\'SYS_ERROR_path\']     =       NULL;

//网站全局顶部
$cfg[\'SYS_TOP\']            =      \'\';

//网站全局底部
$cfg[\'SYS_BOTTOM\']         =      \'\';

//非VIP网站全局顶部
$cfg[\'SYS_TOP_P\']          =      \'\';

//非VIP网站全局底部
$cfg[\'SYS_BOTTOM_P\']       =      \'\';

//VIP网站全局顶部
$cfg[\'SYS_TOP_VIP\']        =      \'\';

//VIP网站全局底部
$cfg[\'SYS_BOTTOM_VIP\']     =      \'\';


//数据库链接参数
//请妥善保存如下参数，避免数据泄露
//数据库地址
$cfg[\'SQL_HOST\']          =      \'' . $_POST['sqlhost'] . '\';

//数据库用户
$cfg[\'SQL_USER\']           =      \'' . $_POST['sqluser'] . '\';

//数据库密码
$cfg[\'SQL_PASS\']           =      \'' . $_POST['sqlpass'] . '\';

//默认数据库
$cfg[\'SQL_SEL\']            =      \'' . $_POST['sqlsel'] . '\';
$cfg[\'CHAR\'] = \'utf8\';
//限制数据库一次查询的最大记录数【不要设置太大，会拖慢系统速度。】
$cfg[\'limit_nums\']         =      \'20\';

/*
统计在线人数参数配置
*/

//是否保存历史操作记录，TRUE为保存，否则为实时删除
//关闭可以节省数据库空间，但是不推荐关闭，可以调小保存时间，但是不要小于$sfg[\'ol_time\']参数
$cfg[\'ol_saved\']           =     \'TRUE\'; 

 //在线时间 （单位：秒）【60*30为半小时】                      
$cfg[\'ol_time\']            =     60*30;

//记录保存时间（单位：秒）【60*60*24*7是保存一个星期】
$cfg[\'saved_time\']         =     60*60*24*7;

//是否启动缓存以便缓解服务器压力【TRUE未开启，FALSE否则为关闭，开启会占用较大的硬盘空间】
$cfg[\'readhtml\']           =         FALSE;

//缓存更新时间  单位秒
$cfg[\'readhtmlTime\']       =         10;
//是否开启博客模式【暂未启用】
//TRUE 开启  FALSE 关闭 缺省为关闭
//此功能主要用于域名不支持泛解析或者服务器没有独立IP的情况
//开启此模式后 在此模式开启时间内申请的网站地址将是 主域名/用户名的模式
//例如abc.com/youname
//请在网站成立之初就确定此功能的开启和关闭，以免中途切换模式子站数据冲突
$cfg[\'SYS\'][\'BLOG\']        =        FALSE;  

//是否对URL地址的参数进行过滤，这样会提升网站的安全性，但是有可能会妨碍正常的地址提交，推荐开启
$cfg[\'POST\'][\'GL\']          =        TRUE;
$cfg[\'GET\'][\'GL\']          =        TRUE;
//cookie保存时间
$cfg[\'cookie\']        =       60*60;   ';
            if (file_put_contents("../config.php", $text)) {
                echo '<br>已经保存了配置文件了<br>';
                echo '<a href="?act=4">进入下一步导入数据</a>';
            };
        }
    }
}elseif($_GET['act'] == 4) {
include "../config.php";
$link = mysql_connect($cfg['SQL_HOST'], $cfg['SQL_USER'], $cfg['SQL_PASS']);
if (!$link) {
    die('MYSQL LINK ERROR!连接数据库失败!' . mysql_error());
}
//选择数据库
$db = mysql_select_db($cfg['SQL_SEL'], $link) or die('数据库链接失败!找不到指定的数据库里!请重新审核配置文件!');
	$sqlfile = 'data/ddcms.sql';
	$site_code = "../install.lck";
	
	 if(is_file($sqlfile)){
	
      //导入SQL并执行。
	$get_sql_data = file_get_contents($sqlfile);
	//去掉注释 
	$content=preg_replace("/--.*\n/iU","",$get_sql_data); 
	$carr=array(); 
	$iarr=array(); 
	mysql_query("SET NAMES utf8");
	//提取create 
	preg_match_all("/Create table .*\(.*\).*\;/iUs",$get_sql_data,$carr); 
	$carr=$carr[0]; 
	foreach($carr as $c) 
	{ 
		@mysql_query($c); 
	} 
	//提取insert 
	preg_match_all("/INSERT INTO .*\(.*\)\;/iUs",$get_sql_data,$iarr); 
	$iarr=$iarr[0]; 
	//插入数据 
	foreach($iarr as $c) 
	{ 
		@mysql_query($c); 
		
	} 
	mysql_query("INSERT INTO `css` VALUES (2, 'CSS样式', '1000', '&lt;style type=&quot;text/css&quot;&gt;	/*全局CSS控制*/img {	border: none;	margin:0px;	padding:0px;	}body,html {	font-size:15px;	color: #000000;	margin: 0px;	text-align: left;	overflow-x:hidden;	font-family:&quot;微软雅黑&quot;;	word-break:break-all;	background-color:#fff;	min-width:320px;	*/}html{	background-color:#fff;	}a {	font-family:&quot;微软雅黑&quot;;	text-decoration: none;	margin:0px;	font-size:16px        color:#666;	}a:hover {	color: #FF7800;	text-decoration: none;	}div {border: none;	color: #000000;	text-align:left;	font-family:&quot;微软雅黑&quot;;	}.list5{clear:both;height:80px;margin-left:5px;margin-right:5px;border-bottom:1px solid #ccc;border-top:1px solid #fff;background:#f8f8f8;text-align:left;}.list5 table{ width:100%;height:70px;margin-top:5px;}.list5 .list_pic{width:90px;}.list5 .list_pic img{margin:auto;width:80px;height:65px}.list5_title{font-weight:bold;color:#328cc9;font-size:16px;font-family:&quot;微软雅黑&quot;;}.list5_content{ font-size:16px;color:#ccc;}.d_list5{clear:both;background-color: #F5F5F5; padding: 5px 0; margin: 4px;  border-radius:5px; transition: 0.2s;  border: 1px solid #D1D1D1;background-image: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#F5F5F5)); }.d_list5 table{ width:100%;height:70px;margin-top:5px;padding:5px;}.d_list5 .d_list_pic{width:90px;}.d_list5 .d_list_pic img{margin:auto;width:80px;height:65px;border-radius:5px; transition: 0.2s;}.d_list5_title{font-weight:bold;color:#328cc9;font-size:16px;font-family:&quot;微软雅黑&quot;;}.d_list5_content{ font-size:16px;color:#ccc;}.d_list_r{width:80px;}&lt;/style&gt;&lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;/index.css&quot;&gt;&lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;/style/css/linkstyle.css&quot;&gt;', '#efefef', 1, '3');||
	mysql_close();");
		
        $code = '<?php 
		die("禁止访问");
		/*您好，此文件用于识别网站是否第一次访问，是否需要导入数据，请勿删除此文件，否则会造成网站数据混乱!*/
		?>';
        if(!file_put_contents($site_code,$code)){
		echo '<br>安装信息存储失败！<br>';
		}else{
		echo '<br>安装成功，请用授权域名访问本站即可<br>';
		}
    }else{
        die(file_get_contents("http://" . $_SERVER['HTTP_HOST'] . "/error/sqlnofined.html"));
    }

}
echo '</body></html>';

